"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eab90>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eac20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eacb0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ead40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eadd0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eae60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eaef0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eaf80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb010>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb0a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb130>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb1c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb250>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb2e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb370>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb400>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb490>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb520>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb5b0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb640>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb6d0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb760>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb7f0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb880>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb9a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eb910>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6eba30>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ebac0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ebb50>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ebbe0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ebc70>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ebd00>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ebd90>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ebe20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ebeb0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc6ebf40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c0d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c160>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c1f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c280>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c310>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c3a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c430>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c4c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c550>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c5e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c670>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c700>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c790>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c820>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c8b0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74c9d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74ca60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74caf0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74cb80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74cc10>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74cca0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74cd30>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74cdc0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74ce50>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74cee0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74cf70>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d000>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d1b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d090>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d240>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d2d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d360>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d3f0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d480>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d5a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d510>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d630>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d6c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d750>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d870>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d7e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d900>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74d990>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74da20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74dab0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74db40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f73bc74dbd0>)]
name: str = 'fr_HOCCN'
